package cn.citycraft.GsonAgent.api.stream;

import java.io.IOException;

public abstract interface JsonReader {

	public void beginArray() throws IOException;

	public void beginObject() throws IOException;

	public void close() throws IOException;

	public void endArray() throws IOException;

	public void endObject() throws IOException;

	public boolean hasNext() throws IOException;

	public boolean isLenient();

	public boolean nextBoolean() throws IOException;

	public double nextDouble() throws IOException;

	public int nextInt() throws IOException;

	public long nextLong() throws IOException;

	public String nextName() throws IOException;

	public void nextNull() throws IOException;

	public String nextString() throws IOException;

	public JsonToken peek() throws IOException;

	public void setLenient(boolean lenient);

	public void skipValue() throws IOException;

	@Override
	public String toString();

}
